VIO9P(4)

NAME
vio9p - VirtIO 9p front-end driver

SYNOPSIS
vio9p* at virtio?

DESCRIPTION
In conjunction with mount_9p(8), the vio9p driver enables a NetBSD system running as a VM guest to mount an exported file system by the host via virtio-9p. It exports a 9p end-point of virtio-9p via a character device file for mount_9p(8).

Each exported file system is assigned a character device and accessible via /dev/vio9p0, /dev/vio9p1 and so on, respectively, in exporting order by the host.

FILES
/dev/vio9p?

EXAMPLES
The following command mounts the first exported file system by the host at /mnt/9p:

    # mount_9p -cu /dev/vio9p0 /mnt/9p

SEE ALSO
virtio(4), mount_9p(8)

HISTORY
The vio9p driver first appeared in NetBSD 10.0.

AUTHORS
The vio9p driver was written by Ryota Ozaki <ozaki-r@iij.ad.jp>.